Commits

Anonymous committed c42e883

soname changes

Comments (0)

Files changed (6)

 
 Package: bind9
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, netbase, adduser, libdns69 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), libisccc60 (=${binary:Version}), lsb-base (>= 3.2-14), bind9utils (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version}), net-tools
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, netbase, adduser, libdns70 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), libisccc60 (=${binary:Version}), lsb-base (>= 3.2-14), bind9utils (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version}), net-tools
 Conflicts: bind, apparmor-profiles (<< 2.1+1075-0ubuntu4)
 Replaces: bind, dnsutils (<< 1:9.1.0-3), apparmor-profiles (<< 2.1+1075-0ubuntu4)
 Suggests: dnsutils, bind9-doc, resolvconf, ufw
 Package: bind9-host
 Priority: standard
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdns69 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdns70 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
 Conflicts: host (<<1:9.7.0), dnsutils (<< 1:9.0.0)
 Replaces: dnsutils (<< 1:9.0.0), host (<< 1:9.7.0)
 Provides: host
 Architecture: any
 Conflicts: bind-dev
 Replaces: bind-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdns69 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdns70 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
 Description: Static Libraries and Headers used by BIND
  This package delivers archive-style libraries, header files, and API man
  pages for libbind, libdns, libisc, and liblwres.  These are only needed 
 Architecture: any
 Conflicts: libbind0, libbind9-41
 Replaces: libbind0
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdns69, libisccfg62, libisc62
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdns70, libisccfg62, libisc62
 Description: BIND9 Shared Library used by BIND
  ${Description}
  .
  This package delivers the libbind9 shared library used by BIND's daemons and
  clients.
 
-Package: libdns69
+Package: libdns70
 Section: libs
 Priority: standard
 Architecture: any
 Architecture: any
 Conflicts: libbind0, libbind9-41
 Replaces: libbind0
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdns69, libisccc60, libisc62
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdns70, libisccc60, libisc62
 Description: Config File Handling Library used by BIND
  ${Description}
  .
 Package: dnsutils
 Priority: standard
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bind9-host | host, libdns69 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, bind9-host | host, libdns70 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
 Suggests: rblcheck
 Conflicts: netstd (<< 2.00)
 Replaces: bind, bind9 (<< 1:9.1.0-3)
 
 Package: lwresd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libdns69 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisccc60 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libdns70 (=${binary:Version}), libisccfg62 (=${binary:Version}), libisccc60 (=${binary:Version}), libisc62 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
 Recommends: libnss-lwres
 Suggests: bind9utils
 Description: Lightweight Resolver Daemon

debian/libdns69.install

-usr/lib/libdns.so.69*

debian/libdns69.postinst

-#!/bin/sh
-
-set -e
-
-#DEBHELPER#

debian/libdns70.install

+usr/lib/libdns.so.70*

debian/libdns70.postinst

+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -l"debian/libbind9-60/usr/lib:debian/libbind-dev/usr/lib:debian/libdns69/usr/lib:debian/libisc62/usr/lib:debian/libisccc60/usr/lib:debian/libisccfg62/usr/lib:debian/liblwres60/usr/lib:/usr/lib/libfakeroot" -a
+	dh_shlibdeps -l"debian/libbind9-60/usr/lib:debian/libbind-dev/usr/lib:debian/libdns70/usr/lib:debian/libisc62/usr/lib:debian/libisccc60/usr/lib:debian/libisccfg62/usr/lib:debian/liblwres60/usr/lib:/usr/lib/libfakeroot" -a
 	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
 	cat debian/vars.in >> debian/substvars
 	dh_gencontrol -a